# Generated by using Rcpp::compileAttributes() -> do not edit by hand
# Generator token: 10BE3573-1514-4C36-9D1C-5A225CD40393

#' C++ implementation of d_edges
#' 
#' Calculates differential network score for each edge in a network
#' @param nw1 The association scores for network 1
#' @param nw2 The association scores for network 2
#' @param lp The lp value to use.
#' @return A matrix of differential network scores for the edges.
#' @export
d_edgesC <- function(nw1, nw2, lp) {
    .Call('_dnapath_d_edgesC', PACKAGE = 'dnapath', nw1, nw2, lp)
}

#' C++ implementation of d_pathway
#' 
#' Calculates differential network score for an entire pathway.
#' @param nw1 The association scores for network 1
#' @param nw2 The association scores for network 2
#' @param lp The lp value to use.
#' @return The differential network score for the pathway.
#' @export
d_pathwayC <- function(nw1, nw2, lp) {
    .Call('_dnapath_d_pathwayC', PACKAGE = 'dnapath', nw1, nw2, lp)
}

#' C++ implementation of d_genes
#' 
#' Calculates differential network score for a set of genes
#' @param nw1 The association scores for network 1
#' @param nw2 The association scores for network 2
#' @param lp The lp value to use.
#' @return A vector of differential network scores for the genes.
#' @export
d_genesC <- function(nw1, nw2, lp) {
    .Call('_dnapath_d_genesC', PACKAGE = 'dnapath', nw1, nw2, lp)
}

